Index: trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1313)
+++ trunk/CONFIG/GYRE_LOBSTER/scripts/BB_make	(revision 1344)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -P stack -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
@@ -277,4 +277,5 @@
 		$(MODEL_LIB)(istate.o)\
 		$(MODEL_LIB)(lbclnk.o)\
+		$(MODEL_LIB)(lbcnfd.o)\
 		$(MODEL_LIB)(ldfdyn.o)\
 		$(MODEL_LIB)(ldfdyn_oce.o)\
@@ -755,4 +756,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -768,4 +770,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -804,4 +807,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -821,4 +825,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -855,4 +860,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -872,4 +878,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -904,4 +911,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -912,4 +920,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -934,4 +943,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -941,4 +951,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -968,12 +979,14 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1001,12 +1014,14 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1034,4 +1049,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1050,4 +1066,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1100,12 +1117,14 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1131,11 +1150,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1157,4 +1178,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -1166,4 +1188,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -1286,10 +1309,12 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -1319,4 +1344,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(oce.o) \
@@ -1331,4 +1357,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	oce.F90 \
@@ -1437,4 +1464,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -1452,4 +1480,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -1485,4 +1514,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1495,4 +1525,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1529,4 +1560,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1550,4 +1582,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1628,4 +1661,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -1673,4 +1707,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -1749,4 +1784,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1758,4 +1794,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1803,4 +1840,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1820,4 +1858,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1865,4 +1904,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1878,4 +1918,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1907,4 +1948,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -1917,4 +1959,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -1936,4 +1979,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -1950,4 +1994,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2001,4 +2046,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2010,4 +2056,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2045,4 +2092,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2057,4 +2105,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2082,4 +2131,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2101,4 +2151,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2143,4 +2194,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2159,4 +2211,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2193,4 +2246,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2209,4 +2263,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2361,4 +2416,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -2390,4 +2446,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -2466,4 +2523,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -2484,4 +2542,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -2576,4 +2635,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -2600,4 +2660,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldfslp.F90 \
@@ -2658,4 +2719,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -2676,4 +2738,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -2715,4 +2778,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -2737,4 +2801,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -2784,4 +2849,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -2806,4 +2872,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -2926,4 +2993,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2945,4 +3013,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -2994,11 +3063,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -3154,4 +3225,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -3178,4 +3250,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -3235,4 +3308,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_feti.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -3271,4 +3345,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_feti.F90 \
 	lib_mpp.F90 \
@@ -3369,4 +3444,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -3397,4 +3473,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -3472,4 +3549,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -3505,4 +3583,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -3577,4 +3656,5 @@
 	$(MODEL_LIB)(dynzad.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -3599,4 +3679,5 @@
 	dynzad.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -3948,4 +4029,5 @@
 	$(MODEL_LIB)(flo_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
@@ -3956,4 +4038,5 @@
 	flo_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	oce.F90 \
@@ -3978,9 +4061,11 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -4004,9 +4089,11 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -4029,4 +4116,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -4038,4 +4126,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -4062,11 +4151,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4174,4 +4265,5 @@
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -4183,4 +4275,5 @@
 	iom_def.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4228,11 +4321,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4252,11 +4347,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4300,4 +4397,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -4353,4 +4451,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4435,26 +4534,47 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	oce.F90 \
 	KEY_CPP \
 	lbclnk.F90
+$(MODEL_LIB)(lbcnfd.o) :	\
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	oce.F90 \
+	lbcnfd.F90
 $(MODEL_LIB)(ldfdyn.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -4470,4 +4590,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -4522,4 +4643,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -4540,4 +4662,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -4578,13 +4701,15 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4620,4 +4745,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -4633,4 +4759,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -4679,6 +4806,8 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	$(MODEL_LIB)(lib_mpp.o) \
 	lib_mpp.F90 \
@@ -4688,14 +4817,22 @@
 	lib_isml.f90
 $(MODEL_LIB)(lib_mpp.o) :	\
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	$(AGRIF_LIB) \
 	KEY_CPP \
@@ -4708,4 +4845,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -4716,4 +4854,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4867,4 +5006,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -4884,4 +5024,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4923,4 +5064,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -4931,4 +5073,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -4962,4 +5105,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -4978,4 +5122,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5012,4 +5157,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5020,4 +5166,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5041,4 +5188,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5049,4 +5197,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5127,4 +5276,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5137,4 +5287,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5185,4 +5336,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5200,4 +5352,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5338,4 +5491,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5355,4 +5509,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5397,4 +5552,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5411,4 +5567,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5524,9 +5681,11 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -5590,4 +5749,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(obc_par.o) \
@@ -5596,4 +5756,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	obc_par.F90 \
@@ -5623,4 +5784,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5641,4 +5803,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5680,4 +5843,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5690,4 +5854,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5721,4 +5886,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5731,4 +5897,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5805,4 +5972,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5817,4 +5985,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5851,4 +6020,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5859,4 +6029,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5886,4 +6057,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5898,4 +6070,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5928,4 +6101,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5936,4 +6110,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5962,4 +6137,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5970,4 +6146,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5997,4 +6174,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(obc_par.o) \
@@ -6004,4 +6182,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	obc_par.F90 \
@@ -6042,4 +6221,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -6065,4 +6245,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -6167,4 +6348,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldfeiv.o) \
@@ -6288,4 +6470,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldfeiv.F90 \
@@ -6566,4 +6749,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -6587,4 +6771,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -6604,4 +6789,5 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zche.o) \
@@ -6609,4 +6795,5 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
+	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zche.F90 \
@@ -6986,4 +7173,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -7007,4 +7195,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -7127,4 +7316,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -7164,4 +7354,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -7392,9 +7583,11 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -7412,4 +7605,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -7436,4 +7630,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -7530,10 +7725,12 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	oce.F90 \
@@ -7554,4 +7751,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -7566,4 +7764,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -7605,4 +7804,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -7624,4 +7824,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -7675,4 +7876,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -7693,4 +7895,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -7740,4 +7943,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -7760,4 +7964,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -7816,4 +8021,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -7834,4 +8040,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -7874,4 +8081,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -7888,4 +8096,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -7983,4 +8192,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -8006,4 +8216,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -8073,4 +8284,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -8114,4 +8326,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -8476,4 +8689,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -8497,4 +8711,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -9093,9 +9308,11 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	oce.F90 \
@@ -9121,4 +9338,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -9136,4 +9354,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -9170,4 +9389,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -9178,4 +9398,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -9207,11 +9428,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -9237,11 +9460,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -9269,4 +9494,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_feti.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -9286,4 +9512,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_feti.F90 \
 	lib_mpp.F90 \
@@ -9378,4 +9605,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -9508,4 +9736,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldfslp.F90 \
@@ -9771,4 +10000,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -9849,4 +10079,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -9983,4 +10214,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -10012,4 +10244,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -10144,4 +10377,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10187,4 +10421,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10306,4 +10541,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10331,4 +10567,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10383,4 +10620,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10408,4 +10646,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10460,4 +10699,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10485,4 +10725,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10537,4 +10778,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10562,4 +10804,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10612,4 +10855,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10633,4 +10877,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10742,4 +10987,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10762,4 +11008,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10815,4 +11062,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10841,4 +11089,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10896,4 +11145,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -10928,4 +11178,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldfslp.F90 \
@@ -11001,4 +11252,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -11026,4 +11278,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -11078,4 +11331,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -11103,4 +11357,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -11290,4 +11545,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -11310,4 +11566,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -11350,4 +11607,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -11371,4 +11629,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -11560,4 +11819,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra.o) \
@@ -11593,4 +11853,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra.F90 \
@@ -11732,4 +11993,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -11757,4 +12019,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldfslp.F90 \
@@ -11933,4 +12196,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -11965,4 +12229,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -12021,4 +12286,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -12053,4 +12319,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -12107,4 +12374,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -12139,4 +12407,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -12197,4 +12466,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -12229,4 +12499,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -12370,4 +12641,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -12399,4 +12671,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -12455,4 +12728,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -12484,4 +12758,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -12807,4 +13082,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -12828,4 +13104,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -13047,4 +13324,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -13076,4 +13354,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -13125,4 +13404,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -13169,4 +13449,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -13502,4 +13783,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -13529,4 +13811,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -13578,4 +13861,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -13607,4 +13891,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -13656,4 +13941,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -13685,4 +13971,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -14357,4 +14644,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -14386,4 +14674,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -14489,4 +14778,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -14518,4 +14808,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -14565,5 +14856,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
@@ -14571,4 +14861,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -14579,6 +14870,4 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -14596,5 +14885,4 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
-	iom.F90 \
 	iom_def.F90 \
 	iom_ioipsl.F90 \
@@ -14602,4 +14890,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -14610,6 +14899,4 @@
 	par_trc.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -14623,5 +14910,4 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -14634,5 +14920,4 @@
 	$(MODEL_LIB)(trcsms_my_trc.o) \
 	$(MODEL_LIB)(trctrp_lec.o) \
-	daymod.F90 \
 	iom.F90 \
 	lib_mpp.F90 \
@@ -14735,4 +15020,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -14764,4 +15050,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -14899,5 +15186,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -14916,5 +15202,4 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -14936,5 +15221,4 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
-	iom.F90 \
 	lbclnk.F90 \
 	ldfslp.F90 \
@@ -14953,5 +15237,4 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -14968,5 +15251,4 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_trc.o) \
@@ -14974,5 +15256,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	daymod.F90 \
 	oce_trc.F90 \
 	par_trc.F90 \
@@ -14993,5 +15274,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -15010,5 +15290,4 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -15030,5 +15309,4 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
-	iom.F90 \
 	lbclnk.F90 \
 	ldfslp.F90 \
@@ -15047,5 +15325,4 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -15062,5 +15339,4 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_trc.o) \
@@ -15068,5 +15344,4 @@
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	daymod.F90 \
 	oce_trc.F90 \
 	par_trc.F90 \
@@ -15253,4 +15528,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -15298,4 +15574,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -15885,4 +16162,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -15914,4 +16192,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -15968,4 +16247,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -15997,4 +16277,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
@@ -16046,4 +16327,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -16057,4 +16339,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -16105,4 +16388,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -16129,4 +16413,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -16259,4 +16544,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -16287,4 +16573,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldfslp.F90 \
@@ -16520,4 +16807,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -16536,4 +16824,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -16615,4 +16904,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -16629,4 +16919,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -16672,11 +16963,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -16702,11 +16995,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -16734,4 +17029,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -16749,4 +17045,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -16782,4 +17079,5 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -16805,4 +17103,5 @@
 	iom.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
@@ -16855,4 +17154,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -16873,4 +17173,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -16944,11 +17245,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbcnfd.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -16981,4 +17284,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -17006,4 +17310,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -17062,4 +17367,5 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -17087,4 +17393,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -17134,4 +17441,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -17144,4 +17452,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -17173,4 +17482,5 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbcnfd.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
@@ -17192,4 +17502,5 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
+	lbcnfd.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
